列表快照
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取 cloudPcSnapshot 对象 及其属性的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
CloudPC.Read.All、CloudPC.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
CloudPC.Read.All、CloudPC.ReadWrite.All
HTTP 请求
GET /deviceManagement/virtualEndpoint/snapshots
可选的查询参数
此方法支持 OData $filter 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 cloudPcSnapshot 对象集合。
示例
请求
请求示例如下所示。
GET https://graph.microsoft.com/beta/deviceManagement/virtualEndpoint/snapshots
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var snapshots = await graphClient.DeviceManagement.VirtualEndpoint.Snapshots
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let snapshots = await client.api('/deviceManagement/virtualEndpoint/snapshots')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/deviceManagement/virtualEndpoint/snapshots"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphCloudPcSnapshot *cloudPcSnapshot = [[MSGraphCloudPcSnapshot alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
CloudPcSnapshotCollectionPage snapshots = graphClient.deviceManagement().virtualEndpoint().snapshots()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.DeviceManagement().VirtualEndpoint().Snapshots().Get()
Import-Module Microsoft.Graph.DeviceManagement.Administration
Get-MgDeviceManagementVirtualEndpointSnapshot
响应
下面展示了示例响应。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.cloudPcSnapshot",
"cloudPcId": "662009bc-7732-4f6f-8726-25883518b33e",
"createdDateTime": "2021-08-23T09:28:32.8260335Z",
"lastRestoredDateTime": "2021-09-01T09:28:32.8260338Z",
"id": "A00009UV000_93aff428-61f2-467f-a879-1102af6fd4a8",
"status": "ready"
}
]
}